## Как внести вклад

Если вы не знаете, чем занятся, то:
* Все запланированные задачи лежат в разделе issue и имеют ярлык "enchancement".
* Все известные проблемы лежат там же и имеют ярлык "bug".

Выбирайте задачи из ближайших версией. Их список вы можете найти [здесь](https://github.com/Rirusha/Cassette/milestones). Это как ускорит выход следующей версии, так и облегчит ревью, так так не нужно будет переключаться с одной глобальной проблемы на другую.

Также если решили исправить какой-то баг, описанный в issue, сначала убедитесь, что его всё ещё можно воспроизвести в `master` ветке.

Также, если вы считаете, что приложению чего-то не хватает или вы нашли баг, то не стесняйтесь создавать issue.

## Именование коммитов
Заголовок сообщения должен иметь вид:
```
feat: добавить кнопку проигрывания в `Имя виджета`

Кнопки не хватало, поэтому её нужно было добавить
```
Это пример. Подробнее правила описаны [здесь](https://github.com/conventional-changelog/commitlint/tree/master/%40commitlint/config-conventional). Также тело сообщения необязательно, если информация в заголове исчерпывающая. Также вот список всех типов коммитов с описаниями:

* `build`: Используется для изменений, связанных с сборкой системы или внешними зависимостями.

* `chore`: Обычно включает в себя изменения, которые не относятся непосредственно к коду или тестам, например, обновление документации, настройка среды разработки, повышение версии и т. д.

* `ci`: Относится к изменениям, связанным с настройкой или улучшением CI.

* `docs`: Используется для изменений, касающихся только документации, например, исправления опечаток, обновление README или добавление комментариев в код.

* `feat`: Обозначает добавление новой функциональности или возможности в проект.

* `fix`: Относится к исправлению ошибок в коде или исправлению неполадок в проекте.

* `perf`: Используется, когда вносятся изменения с целью улучшения производительности.

* `refactor`: Относится к изменениям, которые не добавляют новую функциональность, а только изменяют структуру или организацию существующего кода.

* `revert`: Используется для отмены предыдущих коммитов в истории проекта.

* `style`: Относится к изменениям в форматировании кода, например, правки пробелов, отступов, переносов строк и т. д.

* `test`: Используется для добавления или изменения тестового кода, например, тестирование новой функциональности или исправление существующих тестов.

* `po`: Используется для добавления или изменения перевода.

## Создание Pull Request'ов
Все Pull Request'ы должны быть сделанны в `master` ветку. Если вы закрываете какое-то issue, то ссылайтесь на него с ключевым словом "close" в теле коммита, например:
```
fix: исправить некорректное поведение

close #123
```

## Форматирование кода
Если вы используете Visual Studio Code, то есть таск для запуска линтера. Иначе используйте в линтере конфигурацию в корне репозитория: vala-lint.conf, CI использует именно её.

## Разработка
Проверяйте сборку, используя flatpak, так как это единственная официально поддерживаемая версия.

## Тестирование
Крайне приветствуется написание или дополнение существующих тестов для клиента.
